Package org.apache.sling.distribution.journal.impl.publisher

## Class PackageDistributedNotifier

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.publisher.PackageDistributedNotifier

All Implemented Interfaces:
  `TopologyChangeHandler`

    @ParametersAreNonnullByDefault
    public class PackageDistributedNotifier
    extends Object
    implements TopologyChangeHandler

### Field Summary

Fields
`static String` `STORE_TYPE_OFFSETS`

### Constructor Summary

Constructors
`PackageDistributedNotifier​(org.osgi.service.event.EventAdmin eventAdmin, PubQueueProvider pubQueueCacheService, org.apache.sling.distribution.journal.MessagingProvider messagingProvider, Topics topics, org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, boolean ensureEvent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changed​(TopologyViewDiff diffView)` Invoked by the framework when the TopologyView has changed.
`protected void` `notifyDistributed​(String pubAgentName, org.apache.sling.distribution.queue.DistributionQueueItem queueItem)`
`protected void` `storeLastDistributedOffset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STORE_TYPE_OFFSETS

    public static final String STORE_TYPE_OFFSETS

See Also:
  Constant Field Values

### Constructor Detail

#### PackageDistributedNotifier

    public PackageDistributedNotifier​(org.osgi.service.event.EventAdmin eventAdmin,
                                      PubQueueProvider pubQueueCacheService,
                                      org.apache.sling.distribution.journal.MessagingProvider messagingProvider,
                                      Topics topics,
                                      org.apache.sling.api.resource.ResourceResolverFactory resolverFactory,
                                      boolean ensureEvent)

### Method Detail

#### changed

    public void changed​(TopologyViewDiff diffView)

Description copied from interface: `TopologyChangeHandler`
Invoked by the framework when the TopologyView has changed.

Specified by:
  `changed` in interface `TopologyChangeHandler`
Parameters:
  `diffView` - the diff between the old and new topology views

#### storeLastDistributedOffset

    protected void storeLastDistributedOffset()

#### notifyDistributed

    protected void notifyDistributed​(String pubAgentName,
                                     org.apache.sling.distribution.queue.DistributionQueueItem queueItem)